Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class DestinationFullException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  org.jboss.mq.SpyJMSException
                      org.jboss.mq.DestinationFullException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class DestinationFullException
extends SpyJMSException

Thrown when a message cannot be added to a queue or a subscription because it is full.

Version:
  `$Revision: 1.3 $`
Author:
  Adrian Brock
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary
`protected String` | `text` The text of the message before the nested mangles it

Fields inherited from class org.jboss.mq.SpyJMSException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`DestinationFullException(String msg)` Create a new DestinationFullException

Method Summary
`String` | `getText()` Get the message text

Methods inherited from class org.jboss.mq.SpyJMSException
`getCause, getLinkedException, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace, setLinkedException`

Methods inherited from class javax.jms.JMSException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    protected String text

  The text of the message before the nested mangles it

Constructor Detail

### DestinationFullException

    public DestinationFullException(String msg)

  Create a new DestinationFullException

Parameters:
  `msg` - the message text

Method Detail

### getText

    public String getText()

  Get the message text

  Returns:
    the text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.